Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Adobe Air 64 Bit running Spaz
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
kmacphail
n00b
n00b


Joined: 30 Dec 2009
Posts: 38
Location: Isle of Lewis, Scotland

PostPosted: Wed Jul 14, 2010 9:42 pm    Post subject: Adobe Air 64 Bit running Spaz Reply with quote

I am trying to try out Spaz on my Gentoo 64 bit Gnome Desktop. I installed the Adobe Air through portage using the sunrise overlay. This installed Adobe air to /opt/Adobe/AirSDK

I then downloaded Spaz from the offical website and extracted it to /opt/air-apps/SpazAIR

From my reading up on Adobe Air, I input the command:

Code:
/opt/Adobe/AirSDK/bin/adl -nodebug /opt/air-apps/SpazAIR/META-INF/AIR/application.xml /opt/air-apps/SpazAIR


But I am greeted with:

Quote:
Gtk-Message: Failed to load module "canberra-gtk-module": libcanberra-gtk-module.so: cannot open shared object file: No such file or directory
Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so: cannot open shared object file: No such file or directory
invalid application descriptor: descriptor version does not match runtime version

The same error occurs when I attempt this as normal user and as root.

I have been told through Googling the subject and other forums that the first two error messages are irrelevant, so the major error must be the line:

Quote:
invalid application descriptor: descriptor version does not match runtime version


However when I google this I only get a few results and none of these appear useful, I'm hopeful that somebody will be able to shed some light on this situation.

ps I know nothing about Adobe Air so treat me like a complete noob.
Back to top
View user's profile Send private message
V-Li
Retired Dev
Retired Dev


Joined: 03 Jan 2006
Posts: 606

PostPosted: Thu Jul 15, 2010 6:26 am    Post subject: Reply with quote

From http://forums.aptana.com/viewtopic.php?f=18&t=4929

Quote:
I got it, application.xml must start with:

<application xmlns="http://ns.adobe.com/air/application/1.0">

Best regards

Rob
Back to top
View user's profile Send private message
kmacphail
n00b
n00b


Joined: 30 Dec 2009
Posts: 38
Location: Isle of Lewis, Scotland

PostPosted: Thu Jul 15, 2010 10:17 am    Post subject: Reply with quote

Code:
<application xmlns="http://ns.adobe.com/air/application/1.0">


Changing my line to 1.0 simply gave me the same result. However I did check which version of air I had using portage and found out it was 1.5.3 so I changed the line to

Code:
<application xmlns="http://ns.adobe.com/air/application/1.5.3">
(this was 2.0 initially)

Upon attempting to start Spaz now I get the message:
Code:
root init begin
/home/kevie/.appdata/Spaz.AIR.16CB261D461B1CA2027F7C39946115FA2DC8CD7F.1/Local Store/userthemes
/home/kevie/.appdata/Spaz.AIR.16CB261D461B1CA2027F7C39946115FA2DC8CD7F.1/Local Store/userplugins
/home/kevie/.appdata/Spaz.AIR.16CB261D461B1CA2027F7C39946115FA2DC8CD7F.1/Local Store/usersmileys
/home/kevie/.appdata/Spaz.AIR.16CB261D461B1CA2027F7C39946115FA2DC8CD7F.1/Local Store/usersounds
init prefs
I/O warning : failed to load external entity "/etc/opt/Adobe/certificates/crypt//config.xml"
Unable to parse Document: /etc/opt/Adobe/certificates/crypt//config.xml.
Error: EncryptedLocalStore may not use publisher IDs passed in from ADL
 at app:/assets/spaz/spaz.prefs.js : 963
 at app:/assets/spaz/spaz.prefs.js : 744
 at app:/assets/spaz/spaz.prefs.js : 702
 at app:/assets/spaz/spaz.js : 82
 at app:/index.html : 142
 at app:/assets/jquery/jquery-1.3.1.js : 2912
 at app:/assets/jquery/jquery-1.3.1.js : 686
 at app:/assets/jquery/jquery-1.3.1.js : 2916
 at app:/assets/jquery/jquery-1.3.1.js : 2936


Then the app simply stops.
I was looking at the line I/O warning : failed to load external entity "/etc/opt/Adobe/certificates/crypt//config.xml" thinking the double // was a mistake. But when I went to check it I find that /etc/opt/ folder is empty. The /opt/Adobe/ folder does not contain the certificates folder, am I looking in the wrong place?
Back to top
View user's profile Send private message
V-Li
Retired Dev
Retired Dev


Joined: 03 Jan 2006
Posts: 606

PostPosted: Thu Jul 15, 2010 11:41 am    Post subject: Reply with quote

The sunrise ebuild is just out of date. Current version is 2.0 and Spaz needs that. Get the "maintainer" for Sunrise from the ChangeLog and poke him.
Back to top
View user's profile Send private message
kmacphail
n00b
n00b


Joined: 30 Dec 2009
Posts: 38
Location: Isle of Lewis, Scotland

PostPosted: Thu Jul 15, 2010 3:57 pm    Post subject: Reply with quote

I've downloaded Air SDK from the Adobe website and extracted it to /opt/airSDK/ I've changed the application.xml file back to
Code:
<application xmlns="http://ns.adobe.com/air/application/2.0">

in accordance with my Air SDK version however I am still getting this when I try and launch Spaz:

Quote:
root init begin
/home/kevie/.appdata/Spaz.AIR.16CB261D461B1CA2027F7C39946115FA2DC8CD7F.1/Local Store/userthemes
/home/kevie/.appdata/Spaz.AIR.16CB261D461B1CA2027F7C39946115FA2DC8CD7F.1/Local Store/userplugins
/home/kevie/.appdata/Spaz.AIR.16CB261D461B1CA2027F7C39946115FA2DC8CD7F.1/Local Store/usersmileys
/home/kevie/.appdata/Spaz.AIR.16CB261D461B1CA2027F7C39946115FA2DC8CD7F.1/Local Store/usersounds
init prefs
I/O warning : failed to load external entity "/etc/opt/Adobe/certificates/AIR/crypt//config.xml"
Unable to parse Document: /etc/opt/Adobe/certificates/AIR/crypt//config.xml.
Error: EncryptedLocalStore may not use publisher IDs passed in from ADL
at app:/assets/spaz/spaz.prefs.js : 963
at app:/assets/spaz/spaz.prefs.js : 743
at app:/assets/spaz/spaz.prefs.js : 701
at app:/assets/spaz/spaz.js : 80
at app:/index.html : 142
at app:/assets/jquery/jquery-1.3.1.js : 2912
at app:/assets/jquery/jquery-1.3.1.js : 686
at app:/assets/jquery/jquery-1.3.1.js : 2913
at app:/assets/jquery/jquery-1.3.1.js : 2936


Does anybody know where I can get an up to date ebuild?
Back to top
View user's profile Send private message
V-Li
Retired Dev
Retired Dev


Joined: 03 Jan 2006
Posts: 606

PostPosted: Thu Jul 15, 2010 7:09 pm    Post subject: Reply with quote

Have you noticed the preceeding /etc in the path? Google has quite some hits on the issue, I did not look too deeply.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum